package be.iminds.ilabt.jfed.testing.base;

import javax.annotation.Nonnull;

/**
 * ApiTestMetaData
 */
public interface ApiTestMetaData<SpecificApiTestConfig extends ApiTestConfig> {
    @Nonnull String getTestDescription();

    @Nonnull Class<SpecificApiTestConfig> getConfigClass();
    @Nonnull SpecificApiTestConfig parseApiTestConfig(@Nonnull String apiTestConfigString);
    @Nonnull ApiTestConfigEditor<SpecificApiTestConfig> getApiTestConfigEditor();
}
